import { CSSProperties, PropsWithChildren, ReactNode } from 'react';
import { IStyles, Options } from '../shared/typings';
import { PaneDirectionKey } from './ResizeBoundingPane';

export interface Props extends PropsWithChildren, Partial<{
    width: number;
    height: number;
    minWidth: number;
    maxWidth: number;
    minHeight: number;
    maxHeight: number;
    disabled: boolean;
    directions: PaneDirectionKey;
    alwaysShowKnob: boolean;
    options: Partial<Options>;
    style: CSSProperties;
    styles: Partial<IStyles>;
    knob: ReactNode;
    updateWidth: (width: number) => void;
    updateHeight: (height: number) => void;
    dragStart: (dir: string) => void;
    dragMove: (dir: string) => void;
    dragEnd: (dir: string) => void;
    focus: (data: {
        state: boolean;
        direction: string;
    }) => void;
}> {
}
declare const ResizeBounding: (props: Partial<Props>) => import("react/jsx-runtime").JSX.Element;
export default ResizeBounding;
